#
# Conditional build:
%bcond_without	tests	# don't perform "make check"
#
%define		file_ver	%(echo %{version} | tr -d .)
Summary:	Network status tracking made easy for desktop applications
Summary(pl.UTF-8):	Łatwe śledzenie stanu sieci dla aplikacji użytkowych
Name:		ntrack
Version:	0.17
Release:	2
License:	LGPL v3+
Group:		Libraries
Source0:	http://launchpad.net/ntrack/main/%{file_ver}/+download/%{name}-%{file_ver}.tar.gz
# Source0-md5:	93de49925cee052544d66b8cc7fc067a
Patch0:		%{name}-am.patch
URL:		http://launchpad.net/ntrack
BuildRequires:	QtCore-devel >= 4
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libnl-devel >= 1:3.2.3
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.3.5
BuildRequires:	python-pygobject-devel >= 2.0
BuildRequires:	qt4-build >= 4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
BuildConflicts:	libnl1-devel
Requires:	libnl >= 1:3.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ntrack aims to be a lightweight and easy to use library for
application developers that want to get events on network online
status changes such as online, offline or route changes.

%description -l pl.UTF-8
Projekt ntrack ma na celu dostarczenie lekkiej i łatwej w użyciu
biblioteki dla programistów aplikacji chcących otrzymywać zdarzenia
przy zmianach stanu podłączenia do sieci, tzn. podłączenia, odłączenia
lub zmianach trasowania.

%package devel
Summary:	Header files for ntrack library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ntrack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-qt4 = %{version}-%{release}

%description devel
Header files for ntrack library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ntrack.

%package static
Summary:	Static ntrack library
Summary(pl.UTF-8):	Statyczna biblioteka ntrack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ntrack library.

%description static -l pl.UTF-8
Statyczna biblioteka ntrack.

%package glib
Summary:	GLib 2 and GObject bindings for ntrack library
Summary(pl.UTF-8):	Wiązania GLib 2 i GObject do biblioteki ntrack
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description glib
GLib 2 and GObject bindings for ntrack library.

%description glib -l pl.UTF-8
Wiązania GLib 2 i GObject do biblioteki ntrack.

%package glib-devel
Summary:	GLib 2 and GObject bindings for ntrack library - header files
Summary(pl.UTF-8):	Wiązania GLib 2 i GObject do biblioteki ntrack - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}

%description glib-devel
GLib 2 and GObject bindings for ntrack library - header files.

%description glib-devel -l pl.UTF-8
Wiązania GLib 2 i GObject do biblioteki ntrack - pliki nagłówkowe.

%package glib-static
Summary:	GLib 2 and GObject bindings for ntrack library - static libraries
Summary(pl.UTF-8):	Wiązania GLib 2 i GObject do biblioteki ntrack - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
GLib 2 and GObject bindings for ntrack library - static libraries.

%description glib-static -l pl.UTF-8
Wiązania GLib 2 i GObject do biblioteki ntrack - biblioteki statyczne.

%package qt4
Summary:	Qt4 bindings for ntrack library
Summary(pl.UTF-8):	Wiązania Qt4 do biblioteki ntrack
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description qt4
Qt4 bindings for ntrack library.

%description qt4 -l pl.UTF-8
Wiązania Qt4 do biblioteki ntrack.

%package qt4-devel
Summary:	Qt4 bindings for ntrack library - header files
Summary(pl.UTF-8):	Wiązania Qt4 do biblioteki ntrack - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-qt4 = %{version}-%{release}

%description qt4-devel
Qt4 bindings for ntrack library - header files.

%description qt4-devel -l pl.UTF-8
Wiązania Qt4 do biblioteki ntrack - pliki nagłówkowe.

%package qt4-static
Summary:	Qt4 bindings for ntrack library - static library
Summary(pl.UTF-8):	Wiązania Qt4 do biblioteki ntrack - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-qt4-devel = %{version}-%{release}

%description qt4-static
Qt4 bindings for ntrack library - static library.

%description qt4-static -l pl.UTF-8
Wiązania Qt4 do biblioteki ntrack - biblioteka statyczna.

%package -n python-ntrack
Summary:	Python bindings for ntrack library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki ntrack
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-ntrack
Python bindings for ntrack library.

%description -n python-ntrack -l pl.UTF-8
Wiązania Pythona do biblioteki ntrack.

%prep
%setup -q -n %{name}-%{file_ver}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -std=c99 -D_GNU_SOURCE=1"
%configure

%{__make}

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
# loadable modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ntrack/modules/ntrack-*.{la,a} \
	$RPM_BUILD_ROOT%{py_sitedir}/pyntrack.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%post	qt4 -p /sbin/ldconfig
%postun	qt4 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libntrack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntrack.so.0
%dir %{_libdir}/ntrack
%dir %{_libdir}/ntrack/modules
%attr(755,root,root) %{_libdir}/ntrack/modules/ntrack-libnl3_x.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack.so
%dir %{_includedir}/ntrack
%{_includedir}/ntrack/common
%{_pkgconfigdir}/libntrack.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack.a

%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntrack-glib.so.2
%attr(755,root,root) %{_libdir}/libntrack-gobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntrack-gobject.so.1

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack-glib.so
%attr(755,root,root) %{_libdir}/libntrack-gobject.so
%{_includedir}/ntrack/glib
%{_includedir}/ntrack/gobject
%{_pkgconfigdir}/libntrack-glib.pc
%{_pkgconfigdir}/libntrack-gobject.pc

%files glib-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack-glib.a
%attr(755,root,root) %{_libdir}/libntrack-gobject.a

%files qt4
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack-qt4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntrack-qt4.so.1

%files qt4-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack-qt4.so
%{_pkgconfigdir}/libntrack-qt4.pc
%{_includedir}/ntrack/qt4

%files qt4-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntrack-qt4.a

%files -n python-ntrack
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/pyntrack.so
%changelog
* Sat Apr 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ntrack.git;a=log;h=master

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 05a007d
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b787e0b
- up to 0.17

* Thu Feb 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b7166f1
- use hack for now

* Mon Feb 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 29a7310
- revert invalid fix

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fa98d3
- rel 4; BC libnl1-devel

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2748b60
- rel 3; fix build with new libnl

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b68945
- release 2 (by relup.sh)

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> c45d316
- more fine-grained split (separated glib binding, individual -devel packages for base, -glib, -qt4)
- added am patch (fixes build with automake 1.13)

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> ce9ef41
- updated to 0.16
- pl

* Sat Nov 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 120c87c
- up to 0.15; needs patched libnl; patches dropped (not needed anymore)

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 577b77d
- rel 5; build with libnl 3.2

* Fri Sep 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 65bb8c7
- release 4

* Mon Apr 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a7c5e5
- rel 3; fix some infinite loop

* Mon Apr 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e78be71
- rel 2; fix modules linking

* Mon Apr 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a5d96a
- up to 0.14; patches merged; python-ntrack subpackage

* Mon Mar 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4dd313b
- rel 2; link with nl-route

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cb7620
- up to 0.13 and port to libnl 3.0

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 26cd5ea
- release 2

* Wed Jan 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e2e34c
- rel 1

* Fri Jan 21 2011 sparky <sparky@pld-linux.org> f52a4c1
- BR: libnl-devel, libtool, pkgconfig, qt4-build, rpm-pythonprov

